# ilistdark - find dark exposures needed
# Author : Robert Greimel (greimel@ing.iac.es)
# Version: 08. Jul. 2001
##############################################################################
procedure ilistdark(input)

string	input	{prompt="List of dither images"}
string	logfile	{prompt="name of logfile"}
string	exptim	{prompt="name of exposure time keyword"}
bool	verbose {prompt="verbose"}

string *list1	{prompt="Ignore this parameter(list1)"}

begin
  string	ini,log
  string	fname,instr
  file		tmpl,timf
  real		time,otime

  # copy input arguments to force definition at the beginning of the script
  ini = input

  # check that logfile is either a file or STDOUT
  log = logfile
  if ( log == "" ) log = "STDOUT"

  # create a unique file for expanding image names given.
  tmpl = mktemp("tmp$ilistdark")
  timf = mktemp("tmp$ilistdark")

  # expand image name.
  sections(ini,option="fullname",> tmpl)
 
  # Work through list of input files and check if they are already pre read
  # subtracted images containing a wcs
  list1 = tmpl
  while (fscan(list1, fname) != EOF)
    {
    # get exposure time from file
    imgets (image=fname//"[0]", param=exptim)
    time = real(imgets.value)

    # write exposure time to temporary file
    print(time, >> timf)

    # print verbose information
    if ( verbose ) print(fname//" : "//time)
    }

  # sort exposure times
  delete(tmpl,yes,verify=no)
  sort(input_file = timf,
       column = 0,
       ignore_white = no,
       numeric_sort = yes,
       reverse_sort = no,
       > tmpl)

  # subtracted images containing a wcs
  otime = -1.
  list1 = tmpl
  while (fscan(list1, instr) != EOF)
    {
    time = real(instr)
    if ( otime != time )
      {
      print('dark '//time//' 1 "dark '//time//' sec"', >> log)
      otime = time
      }
    }

  # delete temporary images and files
  delete(tmpl,yes,verify=no)
  delete(timf,yes,verify=no)

end
