#{ INGRID_QL.CL -- Script to set up tasks in the INGRID_QL package

#put any packages that need to be loaded here
proto
noao
astutil
imred
ccdred
plot
#comment out the next line if you do not want to use "istarfocus" and
#"ibpmgenerate" and don't have the external package nmisc installed.
nmisc
#comment out the next two lines if you do not want to use "ifindron",
#"ifinddark", "ilinearity" and "itiming" and don't have the external package
#tables installed.
tables
ttools

#make sure we work with fits files
reset	imextn	= "fxf:fits,fit,fts"
reset	imtype	= "fits"

print ("    ##################################################################")
print ("                INGRID_QL - Quick Look Package for INGRID")
print (" ")
print ("                               V 0.56 BETA")
print ("    ##################################################################")
print (" ")
print ("    Please report any problems or suggestions to :")
print (" ")
print ("                Robert Greimel (greimel@ing.iac.es)")
print ("                Johan Knapen (knapen@ing.iac.es)")
print ("                Almudena Zurita (azurita@ing.iac.es)")
print (" ")
print (" ")
#type ingrid_ql$ingrid_ql.men
print ("   For a list of available tasks see cl> help")
print ("   For more information on using this package see cl> help usage")
print (" ")

package ingrid_ql, bin=ingrid_ql$

task	ibpmgenerate	= "ingrid_ql$ibpmgenerate.cl"
task	icheckfile	= "ingrid_ql$icheckfile.cl"
task	icombine	= "ingrid_ql$icombine.cl"
task	idedither	= "ingrid_ql$idedither.cl"
task	idispframe	= "ingrid_ql$idispframe.cl"
task	idomeflat	= "ingrid_ql$idomeflat.cl"
task	ifileinfo	= "ingrid_ql$ifileinfo.cl"
task	ifinddark	= "ingrid_ql$ifinddark.cl"
task	ifindgain	= "ingrid_ql$ifindgain.cl"
task	ifindlinearity	= "ingrid_ql$ifindlinearity.cl"
task	ifindphot	= "ingrid_ql$ifindphot.cl"
task	ifindron	= "ingrid_ql$ifindron.cl"
task	iframediff	= "ingrid_ql$iframediff.cl"
task	ilinearity	= "ingrid_ql$ilinearity.cl"
task	ilistdark	= "ingrid_ql$ilistdark.cl"
task	imarkstar	= "ingrid_ql$imarkstar.cl"
task	imgaccess	= "ingrid_ql$imgaccess.cl"
task	irefinewcs	= "ingrid_ql$irefinewcs.cl"
task	isectionstat	= "ingrid_ql$isectionstat.cl"
task	isetwcs		= "ingrid_ql$isetwcs.cl"
task	iskyflat	= "ingrid_ql$iskyflat.cl"
task	istarfocus	= "ingrid_ql$istarfocus.cl"
task	istatistics	= "ingrid_ql$istatistics.cl"
task	isubtract	= "ingrid_ql$isubtract.cl"
task	itabaccess	= "ingrid_ql$itabaccess.cl"
task	itabplot	= "ingrid_ql$itabplot.cl"
task	itiming		= "ingrid_ql$itiming.cl"
task	iwininfo	= "ingrid_ql$iwininfo.cl"

hidetask	icheckfile
hidetask	ifileinfo
hidetask	imarkstar
hidetask	imgaccess
hidetask	isectionstat
hidetask	itabaccess
hidetask	itabplot
hidetask	iwininfo

clbye()
