# itabaccess - checks if a table exists
# Author     : Robert Greimel (greimel@ing.iac.es)
# Last Change: 02. Apr. 2001
##############################################################################
procedure itabaccess(table)

file	table		{prompt="Input table"}
bool	exists		{prompt="does the table exists ?"}
string	outname		{prompt="table name"}
bool	verbose		{prompt="Verbose ?"}

begin

  string	tabname

  # copy input arguments to force definition at the beginning of the script
  tabname=table

  # default output values
  exists = no
  outname = ""

  # check original name
  if ( access(tabname) )
    {
    exists = yes
    outname = tabname
    }

  # check FITS table name
  if ( !exists && access(tabname//".fit") )
    {
    exists = yes
    outname = tabname//".fit"
    }

  # check FITS table name
  if ( !exists && access(tabname//".fits") )
    {
    exists = yes
    outname = tabname//".fits"
    }

  # check FITS table name
  if ( !exists && access(tabname//".tab") )
    {
    exists = yes
    outname = tabname//".tab"
    }

  # print verbose information about our findings if it was asked for
  if ( verbose )
    {
    if ( exists ) { print "image "//outname//" exists" }
    else          { print "image "//imgname//" does not exist" }
    }

end
