# itask - description
# Author : Robert Greimel (greimel@ing.iac.es)
# Version: ##. Aaa. 2000
##############################################################################
procedure itask(input,output)

string	input	{prompt="List of dither images"}
string	output	{prompt="Name of output file"}
bool	verbose	{prompt="Verbose ?"}
string	tmpdir	{prompt="temporary directory for file conversion"}

string *list1	{prompt="Ignore this parameter(list1)"}

begin
  string	ini,ino
  string	log,fname,diffile
  file		tmpl,inli,deli
  int		naxis

  # copy input arguments to force definition at the beginning of the script
  ini = input
  ino = output

  # decide if to show output
  if ( verbose )
    log = "STDOUT"
  else
    log = ""

  # create a unique file for expanding image names given.
  tmpl = mktemp("tmp$itask")
  inli = mktemp("tmp$itask")
  deli = mktemp("tmp$itask")

  # expand image name.
  sections(ini,option="fullname",> tmpl)
 
  # Work through list of input files and check if they are already pre read
  # subtracted images containing a wcs
  list1 = tmpl
  while (fscan(list1, fname) != EOF)
    {

    # get number of axis in data file
    imgets (image=fname, param="i_naxis")
    naxis = int(imgets.value)

    # check number of axis and react accordingly
    # 3 ... need to do post-pre subtraction and replace name in input list
    # 2 ... just pass on
    if (naxis == 3)
      {
      diffile = mktemp (tmpdir//"/itask")
    
      # calculate post-pre image
      print ("calculating post-pre image ...")
      iframediff (input=fname, \
                  output=diffile)
      print(osfn(diffile), >> inli)
      print(osfn(diffile), >> deli)
      }
    else
      {
      print(osfn(fname), >> inli)
      }

    }

  # add your stuff here

  # delete temporary images and files
  imdel("@"//deli,yes,verify=no)
  del(tmpl,yes,verify=no)
  del(inli,yes,verify=no)
  del(deli,yes,verify=no)

end
